### Constructor

# Gio UnixCredentialsMessage new

since: 2.26

#### Declaration

    GSocketControlMessage*
    g_unix_credentials_message_new (
      void
    )

#### Description

Creates a new `GUnixCredentialsMessage` with credentials matching the current processes.

Available since: 2.26

#### Return value

Type: `GSocketControlMessage`

A new `GUnixCredentialsMessage`.

The caller of the function takes ownership of the data, and is responsible for freeing it.